# libsuitesparse

suitesparse is a collection of libraries for computations involving sparse matrices.  The package includes the following libraries:
AMD         approximate minimum degree ordering
BTF         permutation to block triangular form (beta)
CAMD        constrained approximate minimum degree ordering
COLAMD      column approximate minimum degree ordering
CCOLAMD     constrained column approximate minimum degree ordering
CHOLMOD     sparse Cholesky factorization
CSparse     a concise sparse matrix package
CXSparse    CSparse extended: complex matrix, int and long int support
KLU         sparse LU factorization, primarily for circuit simulation
LDL         a simple LDL' factorization
SQPR        a multithread, multifrontal, rank-revealing sparse QR factorization method
UMFPACK     sparse LU factorization
UFconfig    configuration file for all the above packages.
RBio        read/write files in Rutherford/Boeing format

